curl -X GET '$API/emm/positions/all' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-G \
--data-urlencode 'currency=COIN' \
--data-urlencode 'outcomeIds=6bee554c-d5ee-4ada-b283-112746883542,8d18ea33-2953-469f-a5c9-d407d333529d'import requests
url = "https://api.novig.com/nbx/v2/emm/positions/all"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.novig.com/nbx/v2/emm/positions/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"marketId": "123e4567-e89b-12d3-a456-426614174000",
"outcomeId": "123e4567-e89b-12d3-a456-426614174001",
"size": 100,
"cost": 66.67,
"currency": "COIN"
}
]Get all my positions
Get a comprehensive overview of all positions held by the user, satisfying the provided parameters. This operation includes details about each position’s size, entry price, and current market value. Results are limited to a maximum of 100 items by default.
Rate limit: 128 requests per second.
curl -X GET '$API/emm/positions/all' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-G \
--data-urlencode 'currency=COIN' \
--data-urlencode 'outcomeIds=6bee554c-d5ee-4ada-b283-112746883542,8d18ea33-2953-469f-a5c9-d407d333529d'import requests
url = "https://api.novig.com/nbx/v2/emm/positions/all"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.novig.com/nbx/v2/emm/positions/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"marketId": "123e4567-e89b-12d3-a456-426614174000",
"outcomeId": "123e4567-e89b-12d3-a456-426614174001",
"size": 100,
"cost": 66.67,
"currency": "COIN"
}
]Query Parameters
The currency denomination
CASH, COIN Comma-separated list of outcome IDs to filter positions by, e.g. outcomeIds=a,b,c. If omitted, you will get all positions across open markets. An empty value matches nothing.
Response
Successfully retrieved all positions for the user
The ID of the market this position is for
"123e4567-e89b-12d3-a456-426614174000"
The ID of the outcome this position is for
"123e4567-e89b-12d3-a456-426614174001"
The quantity of positive exposure to the outcome
100
The net entry cost of the position
66.67
The currency of the position
"COIN"